C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding.Phone;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Phone.Templates.ListAsync(
new ListPhoneTemplatesRequestParameters {
Disabled = true
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListPhoneTemplatesRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Templates.List(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.branding.phone.templates.requests.ListPhoneTemplatesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.branding().phone().templates().list(
ListPhoneTemplatesRequestParameters
.builder()
.disabled(true)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Branding\Phone\Templates\Requests\ListPhoneTemplatesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->branding->phone->templates->list(
new ListPhoneTemplatesRequestParameters([
'disabled' => true,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.branding.phone.templates.list(
disabled=True,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.branding.phone.templates.list(disabled: true)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/branding/phone/templates \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"content": {
"syntax": "<string>",
"from": "<string>",
"body": {
"text": "<string>",
"voice": "<string>"
}
},
"disabled": false,
"id": "<string>",
"channel": "<string>",
"customizable": true,
"tenant": "<string>"
}
]
}Get a list of phone notification templates
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Branding.Phone;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Branding.Phone.Templates.ListAsync(
new ListPhoneTemplatesRequestParameters {
Disabled = true
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
phone "github.com/auth0/go-auth0/management/management/branding/phone"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &phone.ListPhoneTemplatesRequestParameters{
Disabled: management.Bool(
true,
),
}
client.Branding.Phone.Templates.List(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.branding.phone.templates.requests.ListPhoneTemplatesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.branding().phone().templates().list(
ListPhoneTemplatesRequestParameters
.builder()
.disabled(true)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Branding\Phone\Templates\Requests\ListPhoneTemplatesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->branding->phone->templates->list(
new ListPhoneTemplatesRequestParameters([
'disabled' => true,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.branding.phone.templates.list(
disabled=True,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.branding.phone.templates.list(disabled: true)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.branding.phone.templates.list({
disabled: true,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/branding/phone/templates \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"content": {
"syntax": "<string>",
"from": "<string>",
"body": {
"text": "<string>",
"voice": "<string>"
}
},
"disabled": false,
"id": "<string>",
"channel": "<string>",
"customizable": true,
"tenant": "<string>"
}
]
}Autorisations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de requête
Whether the template is enabled (false) or disabled (true).
Réponse
The phone notification templates were retrieved.
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?
Send a test phone notification for the configured provider
Précédent
Create a phone notification template
Suivant
⌘I